## apt-cacher 0.7-2

=== debian/changelog ===
apt-cacher (0.7-2) unstable; urgency=low

  * apt-cacher-report.pl: Not much visibly different, but most of
    the internals have been re-written after I started with just
    fixing #230934 and then couldn't stop myself:
     o Added support for reading rolled/compressed logfiles.
     o Fixed previously undetected bug introduced in 0.6-11 by the
       date handling patch: that change caused the latest logfile
       to nuke the logfile array, causing old logfiles to be
       ignored even though they were being opened. Doh!
     o Check for zero value of traffic and assign hit and miss
       values manually to fix divide by zero error.
       Closes: #230934
     o Set strings for start and end date if no records found.
     o Check size of traffic values (total, hit, miss) and set
       human-readable report strings in MB, or if >2000MB as GB
       rounded to 3 decimal places.

 -- Jonathan Oxer <jon@debian.org>  Wed,  4 Feb 2004 10:20:35 +1100

apt-cacher (0.7-1) unstable; urgency=low

  * apt-cacher-import.pl: At long last. I've answered the
    question "why can't I just copy .debs into the cache dir?"
    sooooo many times that I've finally done something about it.
    This supporting script traverses $cache_dir/import and imports
    any .debs it finds into $cache_dir. More info in 'man apt-cacher'.
    Of course, I did it in a half-assed way with a helper script
    rather than making it work transparently within apt-cacher.pl
    itself. Fixes welcome! Also fixes for the cludgy shell in it.
    Closes: #229466, #221576

 -- Jonathan Oxer <jon@debian.org>  Fri, 30 Jan 2004 11:59:55 +1100

apt-cacher (0.6-11) unstable; urgency=low

  * apt-cacher-cleanup.pl: Fix for neater handling of empty 
    Packages files. Patch by Lupe Christoph <lupe@lupe-christoph.de>.
    Closes: #225505
  * apt-cacher-report.pl: Fix for incorrect date handling when
    generating reports. Patch by Paul Schulz <pschulz@foursticks.com>.
    Closes: #218426
  * install.pl and remove.pl: Added support for auto-configuring 
    Apache2 on installation and removal. Note that I don't run it
    with Apache2 myself, so feedback on this is welcome.
    Closes: #197930
 -- Jonathan Oxer <jon@debian.org>  Tue, 30 Dec 2003 22:00:26 +1100

apt-cacher (0.6-10) unstable; urgency=low

  * apt-cacher.pl: Altered the mix of direct and system calls
    to where possible use system calls (ie: read->sysread, seek->
    sysseek, open->sysopen) at the suggestion of my favorite bug
    detective Peter Hawkins, to fix a potential infinite loop
    situation on file reads - but hey, this is Linux, isn't it 
    meant to do infinite loops in 5 seconds? :-P
    Closes: #196684
  * install.pl: Added prompts for SSL cert password on Apache
    restart at the suggestion of Brian Hunt.
  * remove.pl: Updated to use the config file parser in 
    apt-cacher-lib.pl rather than the old-style internal parser.
    Added prompts for SSL cert password on Apache restart.
  * upgrade.pl: Updated to use the config file parser in 
    apt-cacher-lib.pl rather than the old-style internal parser.
 -- Jonathan Oxer <jon@debian.org>  Tue, 10 Jun 2003 11:35:19 +1000

apt-cacher (0.6-9) unstable; urgency=low

  * apt-cacher.pl: Daniel Stone contributed a lot to this one, 
    providing me with an earlier version with changes in it to
    help fix the hated 500 Internal Server Error bug by catching a
    state where Wget makes a new file rather than truncating, and 
    thus changes the file descriptor out from under us. Those 
    changes were then merged forward to the most recent devel 
    version.
    Also added 'seek' command to handle reading files of varying 
    length, such as packages that are currently in the process of 
    being downloaded and are not the full length at the time 
    apt-cacher tries to stream them to the client: that patch and a 
    Perl lesson supplied by Adam Moore.
    Also changed the 'read' call to use sysread, at the suggestion 
    of Andreas Boeckler.
    All those changes together help prevent the 500 Internal Server 
    Error bug occuring in different situations. Thanks Daniel, Adam 
    and Andreas! Hopefully that stupid bug is gone for good now. 
    Yippee!
    Closes: #171059
  * apt-cacher.pl: More changes provided by Daniel Stone to fix a 
    potential race condition discovered by some very nice detective
    work by Peter Hawkins. Peter patched his local server, Daniel
    incorporated the changes into the version he sent me  :-)
    Closes: #180571
  * apt-cacher-cleanup.pl: Fixed references to configuration
    settings using a patch supplied by Stephan Niemz. Thanks Stephan!
    Closes: #184425

 -- Jonathan Oxer <jon@debian.org>  Thu, 26 May 2003 14:36:12 +1100

apt-cacher (0.6-8) unstable; urgency=low

  * apt-cacher-cleanup.pl, apt-cacher-report.pl, apt-cacher.pl, 
    apt-cacher-lib.pl: fixes by Jeff Williams to make the config
    parser use hashrefs. Thanks again Jeff!

 -- Jonathan Oxer <jon@debian.org>  Tue, 18 Feb 2003 11:00:56 +1100

apt-cacher (0.6-7) unstable; urgency=low

  * debian/apt-cacher.logrotate: added a logrotate config to roll
    access and error logs monthly. Thanks to Jacob Luna Lundberg
    for the suggestion!
  * apt-cacher-cleanup.pl: converted logfile reader to use proper
    Perl rather than kludgy shell, and to read the most recently
    rotated log if one exists.
  * apt-cacher-lib.pl: a new library for apt-cacher that so far
    only contains the config file parser, so that a lot of
    duplicate code can be ripped out of the main scripts. Based on
    a patch sent in by Jeff Williams. Thanks Jeff!
    
 -- Jonathan Oxer <jon@debian.org>  Mon, 10 Feb 2003 15:16:41 +1100

apt-cacher (0.6-6) unstable; urgency=low

  * apt-cacher-cleanup.pl: major rewrite by Jacob Luna Lundberg,
    including changes to handle varying header length of compressed
    packages, use of Compress::Zlib if available, and nicer handling


## apt-cacher 1.5.5

=== deprecated/Makefile ===
# This Makefile is for the apt-cacher extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.03 (Revision: 1.63) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#
#   MakeMaker Parameters:

#     NAME => q[apt-cacher]
#     VERSION => q[0.5]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8.0/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.19
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = apt-cacher
DISTNAME = apt-cacher
NAME_SYM = apt_cacher
VERSION = 0.5
VERSION_SYM = 0_5
XS_VERSION = 0.5
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INSTALLDIRS = vendor
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.8.0
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.0
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.8.0
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.0
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/share/perl/5.8.0
PERL_ARCHLIB = /usr/lib/perl/5.8.0
SITELIBEXP = /usr/local/share/perl/5.8.0
SITEARCHEXP = /usr/local/lib/perl/5.8.0
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8.0/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERL = $(PERL)
ABSPERLRUN = $(ABSPERL)
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULL_AR = /usr/bin/ar
PERL_CORE = 0
NOOP = $(SHELL) -c true
NOECHO = @

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.8.0/ExtUtils/MakeMaker.pm
MM_VERSION = 6.03

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = apt-cacher
BASEEXT = cacher
PARENT_NAME = 
DLBASE = $(BASEEXT)
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = 
MAN3PODS = apt-cacher-orig.pl \
	apt-cacher.pl
INST_MAN1DIR = blib/man1
MAN1EXT = 1p
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
INST_MAN3DIR = blib/man3
MAN3EXT = 3pm
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = apt-cacher-cleanup.pl \
	apt-cacher-lib.pl \
	apt-cacher-orig.pl \
	apt-cacher-report.pl \
	apt-cacher.pl \
	install.pl \
	install2.pl \
	remove.pl \
	testremove.pl \
	upgrade.pl

PM_TO_BLIB = apt-cacher-cleanup.pl \
	blib/lib/apt-cacher-cleanup.pl \
	apt-cacher-report.pl \
	blib/lib/apt-cacher-report.pl \
	install2.pl \
	blib/lib/install2.pl \
	apt-cacher-orig.pl \
	blib/lib/apt-cacher-orig.pl \
	remove.pl \
	blib/lib/remove.pl \
	apt-cacher-lib.pl \
	blib/lib/apt-cacher-lib.pl \
	upgrade.pl \
	blib/lib/upgrade.pl \
	install.pl \
	blib/lib/install.pl \
	apt-cacher.pl \
	blib/lib/apt-cacher.pl \
	testremove.pl \
	blib/lib/testremove.pl


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN) -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) "-I$(INST_LIB)" "-I$(PERL_LIB)" "-MExtUtils::Install" \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERLRUN) "-MExtUtils::Install" \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:
ZIPFLAGS = -r
TO_UNIX = @$(NOOP)
TAR = tar
POSTOP = @$(NOOP)
ZIP = zip
DIST_DEFAULT = tardist
CI = ci -u
SHAR = shar
COMPRESS = gzip --best
DIST_CP = best
PREOP = @$(NOOP)
TARFLAGS = cvf
DISTVNAME = $(DISTNAME)-$(VERSION)
SUFFIX = .gz
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \
-e 'next if -e $$m{$$_} && -M $$m{$$_} < -M $$_ && -M $$m{$$_} < -M "Makefile";' \
-e 'print "Manifying $$m{$$_}\n";' \
-e 'system(q[$(PERLRUN) $(POD2MAN_EXE) ].qq[$$_>$$m{$$_}])==0 or warn "Couldn\047t install $$m{$$_}\n";' \
-e 'chmod(oct($(PERM_RW)), $$m{$$_}) or warn "chmod $(PERM_RW) $$m{$$_}: $$!\n";}'

manifypods : pure_all apt-cacher.pl \
	apt-cacher-orig.pl
	@$(POD2MAN) \
	apt-cacher.pl \
	$(INST_MAN3DIR)/apt-cacher.$(MAN3EXT) \
	apt-cacher-orig.pl \
	$(INST_MAN3DIR)/apt-cacher-orig.$(MAN3EXT)

# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean ::
	-rm -rf ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all perlmain.c tmon.out mon.out so_locations pm_to_blib *$(OBJ_EXT) *$(LIB_EXT) perl.exe perl perl$(EXE_EXT) $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def lib$(BASEEXT).def $(BASEEXT).exp $(BASEEXT).x core core.*perl.*.? *perl.core
	-mv Makefile Makefile.old $(DEV_NULL)


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean
	rm -rf $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	rm -rf $(DISTVNAME)
	rm -f  blib/lib/apt-cacher-cleanup.pl blib/lib/apt-cacher-report.pl
	rm -f blib/lib/install2.pl blib/lib/apt-cacher-orig.pl blib/lib/remove.pl
	rm -f blib/lib/apt-cacher-lib.pl blib/lib/upgrade.pl blib/lib/install.pl
	rm -f blib/lib/apt-cacher.pl blib/lib/testremove.pl
	rm -rf Makefile Makefile.old


# --- MakeMaker dist_basics section:
distclean :: realclean distcheck
	$(NOECHO) $(NOOP)

distcheck :

## apt-cacher 0.8-4

=== debian/changelog ===
apt-cacher (0.8-4) unstable; urgency=low

  * Altered filename restriction regex to allow .tar.gz files.
    Closes: #259629

 -- Jonathan Oxer <jon@debian.org>  Tue, 20 Jul 2004 12:09:08 +1000

apt-cacher (0.8-3) unstable; urgency=low

  * Another file extension I missed: .udeb (used in the Debian
    installer).
    Closes: #259769

 -- Jonathan Oxer <jon@debian.org>  Sun, 18 Jul 2004 20:51:02 +1000

apt-cacher (0.8-2) unstable; urgency=low

  * Added file extensions used by source packages to the filename
    regex. Should now allow 'apt-get source ...' again.
    Closes: #259629

 -- Jonathan Oxer <jon@debian.org>  Fri, 16 Jul 2004 10:37:45 +1000

apt-cacher (0.8-1) unstable; urgency=low

  * New release with a whole new security mechanism: checks IP
    address of client and matches it against a range of addresses
    specified in the conf file using the 'allowed_hosts' directive.
    Closes: #251575

 -- Jonathan Oxer <jon@debian.org>  Tue, 13 Jul 2004 13:08:45 +1000

apt-cacher (0.7-3) unstable; urgency=low

  The "how many bugs can we fix at once?" release.
  * apt-cacher.pl: Check for undefined value which was showing an
    error in the log.
    Closes: #231187
  * apt-cacher.pl: Fix version number displayed
    Closes: #257409
  * remove.pl: Now removes logrotate file on removal of package
    (shouldn't this be taken care of by DPKG? The logrotate file
    is installed by it, so it should remove it. Anyway...)
    Closes: #253828
  * apt-cacher.pl: Expires 'Sources.gz' file now in addition to
    Packages.gz and Release (Thanks to Andreas Beckmann)
    Closes: #237889
  * apt-cacher.pl and apt-cacher.conf: Rate limiting by passing a
    '--rate-limit' argument to Wget. Thanks to Torbjorn Svensson
    for the patch!
    Closes: #255361
  * install.pl and remove.pl: No longer patches httpd.conf with an
    alias. Now just symlinks to the apache config snippet from
    conf.d, so we never touch httpd.conf. No more runaway entries!
    Closes: #242365
  * install.pl: Activates cgi module in Apache2.
    Closes: #250599
  * apt-cacher.pl: Check for name of file being requested. As a
    partial answer to bug #251575 (still to be fixed properly) the
    name of the file is now checked. If it isn't a .deb, .rpm,
    Packages.gz, Sources.gz or Release file it's rejected with 403
    Forbidden. That may trip up people if they don't compress the
    Packages file, so if this causes grief please let me know ASAP.

 -- Jonathan Oxer <jon@debian.org>  Tue,  6 Jul 2004 15:11:19 +1000

=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16), wget, apache | apache-ssl, bzip2
Standards-Version: 3.5.9.0

Package: apt-cacher
Architecture: all
Depends: perl (>=5.6.0-16), wget, apache | apache-ssl | apache2, bzip2
Description: Caching system for .deb packages
 Apt-cacher performs caching of .deb packages which
 have been downloaded by local users. When a package
 is requested, the cache checks whether it already
 has the latest version, in which case it sends the
 package to the user immediately. If not, it
 downloads the package while streaming it to the user
 at the same time. A local copy is then kept for use
 by other users.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/apt-cacher.sgml > apt-cacher.1

	touch build-indep-stamp

build: build-arch build-indep
	perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="-O2 -G -Wall"
	
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
	install -m755 apt-cacher debian/apt-cacher/etc/cron.daily/apt-cacher
	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
	install -m755 upgrade.pl debian/apt-cacher/usr/share/apt-cacher/upgrade.pl
	# Add here commands to install the package into debian/apt-cacher.
	#$(MAKE) install PREFIX=$(CURDIR)/debian/apt-cacher/usr

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
	dh_installman -i debian/apt-cacher.1
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-cacher 0.9.4sarge1

=== debian/changelog ===
apt-cacher (0.9.4sarge1) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Fixes arbitary command execution as httpd user. (CAN-2005-1854)

 -- Steve Kemp <skx@debian.org>  Sun, 30 Jul 2005 14:01:23 +0200

apt-cacher (0.9.4) unstable; urgency=high

  * removed /var/{log,cache}/apt-cacher from debian/dirs to manage them
    without interferences via postinst/prerm, calling
    install.pl/remove.pl/upgrade.pl (closes: #310990). This bug was hidden
    before and came to daylight after the rewrite of the old (ownership
    overriding) code in 0.9.
  * fixed the size calculation in the access.log (closes: #311001)
  * found another stupid bug in install.pl, it removed the files README and
    README.txt in the directory where dpkg has been started
  * added more visible advisories to run apt-cacher-format-transition.pl in
    NEWS.Debian and README.Debian
  * commented out the allowed_locations example in apt-cacher.conf, it should
    not restrict by default

 -- Eduard Bloch <blade@debian.org>  Fri, 27 May 2005 18:20:49 +0200

apt-cacher (0.9.3) unstable; urgency=high

  * removed some forgotten debug statements and also a "testing" die; command
    in the checksumming lib (closes: #310393)
  * fixed the adding of CGI var separator ? in the sample sources.list URLs
    and used &nbsp; to not break the lines on extreme low-res monitors
    (closes: #310387)

 -- Eduard Bloch <blade@debian.org>  Tue, 24 May 2005 18:42:42 +0200

apt-cacher (0.9.2) unstable; urgency=low

  * added a possible solution for server redundancy with faked cache 
    serves to README.Debian (closes: #230796)
  * not blocking access if allowed_hosts was omited (restoring the default
    config behaviour used before the IPv6 patch)
  * "nice mode" in cleanup, refreshing the index files first and then
    continuing with low priority
  * transition of apt-cacher symlink to apt-cacher.conf in apache2
    configuration which most likely also fixes the last
    issue in another bug report (closes: #307579, #264147)
  * more verbose error messages with allowed_locations option, patch by
    Andreas J Koenig (closes: #309597)
  * removed obsolete references to www.apt-cacher.org from the report generator

 -- Eduard Bloch <blade@debian.org>  Sun, 22 May 2005 11:37:58 +0200

apt-cacher (0.9.1) unstable; urgency=medium

  * upload to unstable with few changes
  * fixed NEWS.Debian (header differed from changelog) and updated notes
  * added precache-by-Priority feature to apt-precache.pl

 -- Eduard Bloch <blade@debian.org>  Mon, 16 May 2005 12:29:12 +0200

apt-cacher (0.9) experimental; urgency=medium

  * New main maintainer (Jonathan & me -> Uploaders:)
  * new format, separates package contents and HTTP headers 
    (closes: #274975). The new script apt-cacher-format-transition.pl converts
    the old cached files to the new version and moves the parts to the new
    locations
  * used syswrite/sysread where appropriate to minimise effects of Perl
    buffering in combination with Apache2 (avoids apt-get's long 
    "waiting for headers" phase in most cases, still appears from time to
    time, but not soo often.
  * uses modification times of index files if configured, this should avoid
    desynchronisation of some files (closes: #180544). Used curl to get the
    HTTP head for that (wget was just too stupid with its timestamping
    abilities). By the way rewrote the fetcher code to use curl only, removing
    the wget depedency (closes: #277279)
  * rewrote large parts of unsafe code, worked around race conditions
    (closes:#251468), fixed some crap like inserting of status code into
    half-downloaded files (closes: #251660), really detached the fetcher
    thread from the reader when the file is initialy beeing downloaded, and
    made error code passing more reliable
  * removed another useless fork (thread-over-thread-over-thread, jeez...)
  * removed the CHLD handler that fscked up the return codes that I needed
    from close (became cruft anways since I dropped the unneccessary forking)
    It now also fails sanely on mirror failure conditions (closes:#203123)
  * allowing alternative URL scheme (with apt-cacher?/server/...) which does
    work with alternative http daemons and added alternative dependency on boa
    and httpd-cgi (closes: #282599, #273776)
  * applied patch from Peter Denison <bug-reports@marshadder.uklinux.net> for
    more flexible names of index files (closes: #267680)
  * IPv6 & filtering patch by Darren Salt (closes: #294617, #278070)
  * added my patch to do basic URL filtering (closes: #307151)
  * README.Debian update to the new stuff, removed cruft in debian/debian-old
  * rewrote the import script, made it work more efficient and work around the
    epoch numbers in the file names from apt's cache (closes: #278799)
  * rewrote and simplified the cleanup script (closes: #299404), also added
    support for source files and bzip2 compression (closes: #261273, #305956).
    Also made it refresh the index files rather then relying on possibly
    outdated data (or missing data because of tiffani/apt-dupdate usage) and
    really lock them while reading to not kill the cached data because the
    file is beeing downloaded just while the cleanup process runs
  * changed install.pl to copy the ownership of new files/directories and only
    doing so when they are new, rather than resetting them to www-data, and on
    every package upgrade
  * added my apt-precache.pl script for people that may need this toy 
    (closes: #305175). It still needs some refinement to control the
    expiration of the "subscriptions".
  * added hooks for checksumming of forwarded packages
  * new feature: checksumming of data (downloaded and uploaded). Optionaly,
    see README.Debian for instructions to enable it (closes: #274059)

 -- Eduard Bloch <blade@debian.org>  Thu, 12 May 2005 09:01:03 +0200

apt-cacher (0.8.6) unstable; urgency=low



=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16)
Standards-Version: 3.6.1

Package: apt-cacher
Architecture: all
Depends: perl (>=5.6.0-16), curl, apache | apache-ssl | apache2 | boa | httpd-cgi
Description: caching system for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which
 have been downloaded by local users. When a package
 is requested, the cache checks whether it already
 has the latest version, in which case it sends the
 package to the user immediately. If not, it
 downloads the package while streaming it to the user
 at the same time. A local copy is then kept for use
 by other users.

=== debian/rules ===
--- 
+++ 
@@ -68,12 +68,16 @@
 	dh_installdirs
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
+	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
 	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
 	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
 	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
 	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
+	install -m755 apt-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-precache.pl
+	install -m755 apt-cacher-format-transition.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-format-transition.pl
 	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
 	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
+	install -m755 apt-cacher-lib-cs.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib-cs.pl
 	install -m755 apt-cacher debian/apt-cacher/etc/cron.daily/apt-cacher
 	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
 	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl

## apt-cacher 1.0.12

=== debian/changelog ===
apt-cacher (1.0.12) unstable; urgency=high

  * set the CGI_MODE flag in apt-cacher.pl wrapper (closes: #324572)
  * a one-line fix for an obvious bug already slipped into testing, thus the
    severity choice

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Aug 2005 10:33:09 +0200

apt-cacher (1.0.11) unstable; urgency=medium

  * the REMOTE_ADDR interpretation had unexpected side effects, script was
    executed in paranoid CGI mode when runned from apt-cacher-cleanup.pl, so
    CGI script has finally been separated: apt-cacher.pl as invoked by httpd
    sets clear flags and then executs the normal code (installed in a separate
    file now)
  * better controled termination of child processes now making restarts more
    reliable

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Aug 2005 13:12:07 +0200

apt-cacher (1.0.10) unstable; urgency=low

  * manpage updates and hyphenisation fixes by Bastian Kleineidam 
    (closes: Bug#323955)
  * apt-cacher-import.pl: speedup (removed date calls) and using correct date
    specification from HTTP::Date

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 22:21:26 +0200

apt-cacher (1.0.9) unstable; urgency=low

  * pidfile could have been created too late with -d, fixed
  * -p option documented

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 10:16:23 +0200

apt-cacher (1.0.8) unstable; urgency=medium

  * checks for valid host/uri without warnings
  * added -R N option to try to bind the socket N times with 5s interval
  * -d forks away only after the daemon is ready
  * added a TERM handler to close all connections and reliable shut down the
    daemon
  * interpretation of REMOTE_ADDR even in inetd / direct call mode
  * fix for the path_map parser, correct separator detection

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 02:37:54 +0200

apt-cacher (1.0.7) unstable; urgency=medium

  * fixed a nasty bug in apt-cacher-cleanup.pl (copy&paste with insufficient
    testing, closes: #323037)
  * better warnings in apt-cacher-cleanup.pl, --force disables the
    "downloability check"

 -- Eduard Bloch <blade@debian.org>  Sun, 14 Aug 2005 14:36:23 +0200

apt-cacher (1.0.6) unstable; urgency=low

  * added an evil script (apt-proxy-to-apt-cacher) to take relevant
    configuration data from apt-proxy and assimilate its cache
  * config file parser improvements: speedup and multiline support
  * new config option: path_map to map visible paths to one or multiple servers
  * new features: server-hopping (using alternative backends on failures) and
    recursive import from whole filesystems (eg. DVD), optionally read-only
    (making hard links or copies)

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Aug 2005 14:41:09 +0200

apt-cacher (1.0.5) unstable; urgency=low

  * tolerate two slashes in the beginning of the location URL
  * closing connection on 404 errors to avoid apt-get freezes

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Aug 2005 12:53:53 +0200

apt-cacher (1.0.4) unstable; urgency=low

  * now a real fix for the CGI status line output, fixes the accidential
    supressing of it in certain situations (closes: #322299)
  * apt-cacher-cleanup now removes orphaned .notify files (after few days)
    which could be left behind by the some download processes in version 1.0.2
    or after killing fetcher processes, system crashes, etc.
  * proper printing of usage info if the path has been omited
  * new option to print text with HTTP 410 messages, eg. to advise users to
    change sources.list to use apt-cacher in server mode

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Aug 2005 11:48:38 +0200

apt-cacher (1.0.3) unstable; urgency=low

  * Fix for not outputing the HTTP status line in CGI mode (confused apache2)
  * added sanity checks for effective user ID in apt-cacher-cleanup.pl to stop
    poisoning the cache with files with wrong permissions

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Aug 2005 10:37:32 +0200

apt-cacher (1.0.2) unstable; urgency=low

  * fixed a bug with apt-cacher-cleanup.pl and extract_sums method (which
    appeared with Sarge's Perl only and not before)
  * added a download success check in cleanup to not let it nuke the whole
    cache if the mirror server has been unreachable for some minutes

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 15:58:31 +0200

apt-cacher (1.0.1) unstable; urgency=low

  * passing EXTRAOPT in the init script

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 14:24:58 +0200

apt-cacher (1.0.0) unstable; urgency=low

  * more safe options parsing
  * added a config option for the address to listen on
  * moved user and group settings to the configuration file
  * cleanup and precache script updates
  * description update: a bit power selling to express what it actually does
  * init script added
  * created the symlink in /usr/sbin/apt-cacher. Kept the httpd configuration
    installation hooks for compatibility with existing setups.

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Aug 2005 10:54:06 +0200

apt-cacher (0.9.12) experimental; urgency=low

  * parts of design reverted back to the old method:
    + separate fetcher threat, spawned as needed
    + error message passing much more safe and should now be really reliable
      with more than one reader
    + file handles cleanup

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Aug 2005 01:20:38 +0200

apt-cacher (0.9.11) experimental; urgency=low

  * apt-cacher has been rewritten in the most parts:
    + can act as a stand-alone daemon, an inetd daemon or as user / CGI
      program (dropped dependency on httpd-cgi)
    + using libwww-perl as download agent, stopped using curl tool. Using
      libcurl3 instead is beeing considered
  * added bzip2 to dependency list (closes: #319709)
  * removed visible references to www.apt-cacher.org

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Aug 2005 17:38:25 +0200

apt-cacher (0.9.10) unstable; urgency=high



=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16)
Standards-Version: 3.6.2.1

Package: apt-cacher
Architecture: all
Depends: ${perl:Depends}, bzip2, libwww-perl
Suggests: libdb-sqlite3-perl
Description: caching system for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which have been
 downloaded by local users (aka package proxy). It is most useful for local
 area networks with slow internet link.
 .
 When a package is requested, the cache checks whether it already has the
 expected version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Apt-cacher has been optimized to get the best utilization from the network
 connection and good response times and troughput even on slow low-memory
 servers. Multiple ways of installation are possible: as a stand-alone HTTP
 server, as a daemon executed by inetd or as a CGI program.
 .
 The package includes utilities to import already downloaded packages from
 local media into the cache (even using file links to save space), to clean the
 cache removing obsolete package files and a HTML report generator.
 Experimental features include a simple package checksum verification useful on
 unstable networks and pre-fetching of packages, selecting the list based on
 various criteria.

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
 
@@ -47,8 +45,8 @@
 	touch build-indep-stamp
 
 build: build-arch build-indep
-	perl Makefile.PL INSTALLDIRS=vendor
-	$(MAKE) OPTIMIZE="-O2 -G -Wall"
+#	perl Makefile.PL INSTALLDIRS=vendor
+#	$(MAKE) OPTIMIZE="-O2 -G -Wall"
 	
 clean:
 	dh_testdir
@@ -65,15 +63,18 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs
+	dh_installdirs usr/sbin
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
 	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
 	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
 	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
+	install -m755 apt-cacher2 debian/apt-cacher/usr/share/apt-cacher/apt-cacher
+	install -m755 apt-proxy-to-apt-cacher debian/apt-cacher/usr/share/apt-cacher/
+	ln -sf   ../share/apt-cacher/apt-cacher debian/apt-cacher/usr/sbin/apt-cacher 
 	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
 	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
-	install -m755 apt-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-precache.pl
+	install -m755 apt-cacher-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-precache.pl
 	install -m755 apt-cacher-format-transition.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-format-transition.pl
 	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
 	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
@@ -82,10 +83,7 @@
 	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
 	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
 	install -m755 upgrade.pl debian/apt-cacher/usr/share/apt-cacher/upgrade.pl
-	# Add here commands to install the package into debian/apt-cacher.
-	#$(MAKE) install PREFIX=$(CURDIR)/debian/apt-cacher/usr
-
-#	dh_movefiles
+	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/apt-cacher/usr/share/apt-cacher/*.pl
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -100,7 +98,7 @@
 #	dh_installemacsen -i
 #	dh_installpam -i
 #	dh_installmime -i
-#	dh_installinit -i
+	dh_installinit -i
 	dh_installcron -i
 	dh_installman -i debian/apt-cacher.1
 	dh_installinfo -i
@@ -110,7 +108,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-#	dh_perl -i
+	dh_perl -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i

## apt-cacher 1.4.1

=== debian/changelog ===
apt-cacher (1.4.1) unstable; urgency=low

  * set treshhold for unparsed lines back to old value but reseting it when a
    valid GET/HEAD request was accepted
  * workaround: closing connection after TE headers, apt confused sometimes

 -- Eduard Bloch <blade@debian.org>  Sun, 08 Jan 2006 15:19:24 +0100

apt-cacher (1.4) unstable; urgency=low

  * now really closes: #345878
  * renamed NEWS.Debian file to become correctly installed by debhelper (4.x).
    Thanks to Sven Hartge for pointing at the problem.

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 03:08:57 +0100

apt-cacher (1.3) unstable; urgency=low

  * the "don't release after midnight" release
  * ignoring If-Modified-Since if Range field was seen, forcing
    local retransmissions of a file
  * removed a forgotten todo mark from the last changelog entry
  * actually changed the threshold for unparased lines now

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 02:33:48 +0100

apt-cacher (1.2) unstable; urgency=low

  * allowed "Index" files but documented the "refetching" behaviour of cleanup
    in NEWS.Debian
  * using ISO 8601 format for date/time in report pages (closes: #327356)
  * spelling error fixes in apt-cacher.1 (closes: #337545)
  * increased the treshhold of unparsed request lines to stop throwing "Go
    away" messages
  * disabled the child reaper code (caused races). This restores the old
    behaviour of downloads not stopping on client exit.
  * moved setgid code before setuid code to make it actually work, also using
    standard perl variables instead of POSIX module (closes: #341348)
  * also removing /var/log/apt-cacher when purging (closes: #326050)
  * a bit code refactoring
  * more carefull forwarding of header fields on error reports. Solves a "bug"
    which resulted in apt-get hanging forever or becoming confused because it
    assumed a premature connection termination. Now it does keep the
    connection open while forwarding error status headers.
  * replace all underscores with / when reconstructing the URL which is not
    available if downloaded by an old apt-cacher version (closes: #345878)
  * updates to the manpage (FAQ, mistakes, more details) and
    apt-cacher-cleanup.pl help message (closes: #345286)
  * debian/copyright: FSF address update

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 00:50:52 +0100

apt-cacher (1.1) unstable; urgency=low

  * setting ReuseAddr to avoid port collision with running instances on restart

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Sep 2005 10:40:28 +0200
